package StdLib;

use strict;
use warnings;

use include;

use Exporter;
our @ISA = ("Exporter");
our @EXPORT = ("STOP", "REDIRECT", "create");

use Object;

# Halt the flow of events and perhaps print an excuse.
sub STOP {
  if (@_ > 1) {
    my $actor = shift;
    $actor->msg(@_);
  } elsif (@_ == 1) {
    msg( shift );
  }
  return ":STOP";
}

# Redirect the flow of events to begin a new action entirely.
sub REDIRECT {
  return (":REDIRECT", @_);
}

# Shortcut to make a new object template.
sub create {
  return Object->make(@_);
}

42;
